> ## Documentation Index
> Fetch the complete documentation index at: https://developers.stellar.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Customer Data

> The request for this endpoint is identical to the
[`DELETE /customer`](https://github.com/stellar/stellar-protocol/blob/master/ecosystem/sep-0012.md#customer-delete)
request defined in SEP-12.

Delete the customer's data or queue the customers data for deletion.


SEP-12SEP-31


## OpenAPI

````yaml openapi/anchor-platform/bundled-callbacks.yaml DELETE /customer/{id}
openapi: 3.1.0
info:
  version: 3.0.0
  description: >
    The Synchronous Callbacks API specification for the Stellar Anchor Platform
    project.


    The Synchronous Callbacks API defines requests made by the Platform while it
    is processing a request from a client application. The

    anchor's responses to these requests affect the Platform responses to the
    client application.
  title: Callbacks Server
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://callback.business-server.exampleanchor.com
security: []
tags:
  - name: Unique Address
    description: >-
      (optional) Provide a unique `stellar_address:memo` pair that will be used
      to correlate a Stellar payment 1-to-1 with a Platform resource such as a
      [SEP-31](https://github.com/stellar/stellar-protocol/blob/master/ecosystem/sep-0031.md)
      transaction.
  - name: Rates
    description: >-
      Requests containing data that can be used to provide exchange rates
      between on & off-chain assets.
  - name: Customers
    description: >
      [SEP-12](https://github.com/stellar/stellar-protocol/blob/master/ecosystem/sep-0012.md)
      requests made from client

      applications.
paths:
  /customer/{id}:
    delete:
      tags:
        - Customers
      summary: Delete Customer Data
      description: >
        The request for this endpoint is identical to the

        [`DELETE
        /customer`](https://github.com/stellar/stellar-protocol/blob/master/ecosystem/sep-0012.md#customer-delete)

        request defined in SEP-12.


        Delete the customer's data or queue the customers data for deletion.
      operationId: delCustomer
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '204':
          description: Success.
        '404':
          description: Customer not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
        id:
          type: string
      required:
        - error

````